import React, { Component } from "react";
import Slider from "react-slick";
import "slick-carousel/slick/slick.css";
import "slick-carousel/slick/slick-theme.css";

class UserPostSlider extends Component {
  slider: any;
  constructor(props) {
    super(props);
    this.next = this.next.bind(this);
    this.previous = this.previous.bind(this);
  }
  next() {
    this.slider.slickNext();
  }
  previous() {
    this.slider.slickPrev();
  }
  render() {
    const settings = {
      dots: false,
      infinite: true,
      speed: 500,
      slidesToShow: 1,
      slidesToScroll: 1,
      // dots: false,
      centerMode: false,
      arrows: false,
      responsive: [
        {
          breakpoint: 767,
          settings: {
            slidesToShow: 1,
            slidesToScroll: 1,
          },
        },
        {
          breakpoint: 575,
          settings: {
            slidesToShow: 1,
            slidesToScroll: 1,
          },
        },
      ],
    };
    return (
      <div>
        <div className="user__post-mainslides">
          <Slider ref={(c) => (this.slider = c)} {...settings}>
            <div>
              <div className="slider__Wrap">
                <div className="top__part">
                  <p>Share This post</p>
                  <div className="social__icon">
                    <a href="#!">
                      <svg
                        width="24"
                        height="24"
                        viewBox="0 0 24 24"
                        fill="none"
                        xmlns="http://www.w3.org/2000/svg"
                      >
                        <path
                          d="M24 12.073C24 5.40365 18.629 0 12 0C5.37097 0 0 5.40365 0 12.073C0 18.0988 4.38823 23.0935 10.125 24V15.563H7.07661V12.073H10.125V9.41306C10.125 6.38751 11.9153 4.71627 14.6574 4.71627C15.9706 4.71627 17.3439 4.95189 17.3439 4.95189V7.92146H15.8303C14.34 7.92146 13.875 8.85225 13.875 9.8069V12.073H17.2031L16.6708 15.563H13.875V24C19.6118 23.0935 24 18.0988 24 12.073Z"
                          fill="#0054A6"
                        />
                      </svg>
                    </a>

                    <a href="#!">
                      <svg
                        width="22"
                        height="24"
                        viewBox="0 0 22 24"
                        fill="none"
                        xmlns="http://www.w3.org/2000/svg"
                      >
                        <g clip-path="url(#clip0)">
                          <path
                            d="M11.0047 6.60879C7.88148 6.60879 5.36228 9.01348 5.36228 11.9947C5.36228 14.976 7.88148 17.3807 11.0047 17.3807C14.1279 17.3807 16.6471 14.976 16.6471 11.9947C16.6471 9.01348 14.1279 6.60879 11.0047 6.60879ZM11.0047 15.4963C8.9864 15.4963 7.33639 13.926 7.33639 11.9947C7.33639 10.0635 8.98149 8.49316 11.0047 8.49316C13.0279 8.49316 14.673 10.0635 14.673 11.9947C14.673 13.926 13.023 15.4963 11.0047 15.4963ZM18.194 6.38848C18.194 7.08691 17.6047 7.64473 16.8779 7.64473C16.1462 7.64473 15.5619 7.08223 15.5619 6.38848C15.5619 5.69473 16.1511 5.13223 16.8779 5.13223C17.6047 5.13223 18.194 5.69473 18.194 6.38848ZM21.9311 7.66348C21.8476 5.98066 21.4449 4.49004 20.1534 3.26191C18.8668 2.03379 17.3052 1.64941 15.5422 1.56504C13.7252 1.4666 8.27925 1.4666 6.46229 1.56504C4.70425 1.64473 3.14264 2.0291 1.85112 3.25723C0.559599 4.48535 0.161831 5.97598 0.0734376 7.65879C-0.0296875 9.39316 -0.0296875 14.5916 0.0734376 16.326C0.15692 18.0088 0.559599 19.4994 1.85112 20.7275C3.14264 21.9557 4.69934 22.34 6.46229 22.4244C8.27925 22.5229 13.7252 22.5229 15.5422 22.4244C17.3052 22.3447 18.8668 21.9604 20.1534 20.7275C21.44 19.4994 21.8427 18.0088 21.9311 16.326C22.0342 14.5916 22.0342 9.39785 21.9311 7.66348ZM19.5837 18.1869C19.2007 19.1057 18.4592 19.8135 17.4918 20.1838C16.0431 20.7322 12.6056 20.6057 11.0047 20.6057C9.40381 20.6057 5.96139 20.7275 4.51764 20.1838C3.55514 19.8182 2.81362 19.1104 2.42567 18.1869C1.85112 16.8041 1.98371 13.5229 1.98371 11.9947C1.98371 10.4666 1.85603 7.18066 2.42567 5.80254C2.80871 4.88379 3.55023 4.17598 4.51764 3.80566C5.9663 3.25723 9.40381 3.38379 11.0047 3.38379C12.6056 3.38379 16.048 3.26191 17.4918 3.80566C18.4543 4.17129 19.1958 4.8791 19.5837 5.80254C20.1583 7.18535 20.0257 10.4666 20.0257 11.9947C20.0257 13.5229 20.1583 16.8088 19.5837 18.1869Z"
                            fill="#0054A6"
                          />
                        </g>
                        <defs>
                          <clipPath id="clip0">
                            <rect width="22" height="24" fill="white" />
                          </clipPath>
                        </defs>
                      </svg>
                    </a>

                    <a href="#!">
                      <svg
                        width="24"
                        height="24"
                        viewBox="0 0 24 24"
                        fill="none"
                        xmlns="http://www.w3.org/2000/svg"
                      >
                        <path
                          d="M24 12C24 18.4219 18.629 23.625 12 23.625C10.7613 23.625 9.57097 23.4422 8.44839 23.1047C8.9371 22.3312 9.66774 21.0656 9.93871 20.0578C10.0839 19.5141 10.6839 17.2922 10.6839 17.2922C11.0758 18.0141 12.2177 18.6281 13.4323 18.6281C17.0516 18.6281 19.6597 15.4031 19.6597 11.3953C19.6597 7.55625 16.4226 4.68281 12.2613 4.68281C7.08387 4.68281 4.33065 8.04844 4.33065 11.7188C4.33065 13.425 5.26935 15.5484 6.76452 16.2234C6.99194 16.3266 7.1129 16.2797 7.16613 16.0687C7.20484 15.9094 7.40806 15.1172 7.5 14.7516C7.52903 14.6344 7.51452 14.5312 7.41774 14.4188C6.92903 13.8328 6.53226 12.7641 6.53226 11.7656C6.53226 9.20156 8.53548 6.72187 11.9516 6.72187C14.8984 6.72187 16.9645 8.66719 16.9645 11.4516C16.9645 14.5969 15.3242 16.7766 13.1903 16.7766C12.0145 16.7766 11.129 15.8344 11.4145 14.6766C11.7532 13.2938 12.4065 11.8031 12.4065 10.8047C12.4065 9.91406 11.9129 9.16875 10.8871 9.16875C9.68226 9.16875 8.71452 10.3734 8.71452 11.9906C8.71452 13.0219 9.07258 13.7156 9.07258 13.7156C9.07258 13.7156 7.8871 18.5812 7.66935 19.4906C7.42742 20.4937 7.52419 21.9094 7.62581 22.8281C3.16452 21.1359 0 16.9266 0 12C0 5.57812 5.37097 0.375 12 0.375C18.629 0.375 24 5.57812 24 12Z"
                          fill="#0054A6"
                        />
                      </svg>
                    </a>
                  </div>
                </div>

                <div className="bottom__post__desc">
                  <div className="media">
                    <img
                      className="align-self-center mr-3"
                      src="/images/blog__post---slideImg.jpg"
                      alt="Generic placeholder image"
                    />
                    <div className="media-body">
                      <h5 className="mt-0">Mr. john smith</h5>
                    </div>
                  </div>
                  <p>
                    Lorem ipsum dolor sit amet consectetur adipiscing elit
                    sagittis tempor integer natoque arcu, suspendisse
                    ullamcorper urna curae commodo cursus ad dui euismod
                    ridiculus felis.
                  </p>
                </div>
              </div>
            </div>
            <div>
              <div className="slider__Wrap">
                <div className="top__part">
                  <p>Share This post</p>
                  <div className="social__icon">
                    <a href="#!">
                      <svg
                        width="24"
                        height="24"
                        viewBox="0 0 24 24"
                        fill="none"
                        xmlns="http://www.w3.org/2000/svg"
                      >
                        <path
                          d="M24 12.073C24 5.40365 18.629 0 12 0C5.37097 0 0 5.40365 0 12.073C0 18.0988 4.38823 23.0935 10.125 24V15.563H7.07661V12.073H10.125V9.41306C10.125 6.38751 11.9153 4.71627 14.6574 4.71627C15.9706 4.71627 17.3439 4.95189 17.3439 4.95189V7.92146H15.8303C14.34 7.92146 13.875 8.85225 13.875 9.8069V12.073H17.2031L16.6708 15.563H13.875V24C19.6118 23.0935 24 18.0988 24 12.073Z"
                          fill="#0054A6"
                        />
                      </svg>
                    </a>

                    <a href="#!">
                      <svg
                        width="22"
                        height="24"
                        viewBox="0 0 22 24"
                        fill="none"
                        xmlns="http://www.w3.org/2000/svg"
                      >
                        <g clip-path="url(#clip0)">
                          <path
                            d="M11.0047 6.60879C7.88148 6.60879 5.36228 9.01348 5.36228 11.9947C5.36228 14.976 7.88148 17.3807 11.0047 17.3807C14.1279 17.3807 16.6471 14.976 16.6471 11.9947C16.6471 9.01348 14.1279 6.60879 11.0047 6.60879ZM11.0047 15.4963C8.9864 15.4963 7.33639 13.926 7.33639 11.9947C7.33639 10.0635 8.98149 8.49316 11.0047 8.49316C13.0279 8.49316 14.673 10.0635 14.673 11.9947C14.673 13.926 13.023 15.4963 11.0047 15.4963ZM18.194 6.38848C18.194 7.08691 17.6047 7.64473 16.8779 7.64473C16.1462 7.64473 15.5619 7.08223 15.5619 6.38848C15.5619 5.69473 16.1511 5.13223 16.8779 5.13223C17.6047 5.13223 18.194 5.69473 18.194 6.38848ZM21.9311 7.66348C21.8476 5.98066 21.4449 4.49004 20.1534 3.26191C18.8668 2.03379 17.3052 1.64941 15.5422 1.56504C13.7252 1.4666 8.27925 1.4666 6.46229 1.56504C4.70425 1.64473 3.14264 2.0291 1.85112 3.25723C0.559599 4.48535 0.161831 5.97598 0.0734376 7.65879C-0.0296875 9.39316 -0.0296875 14.5916 0.0734376 16.326C0.15692 18.0088 0.559599 19.4994 1.85112 20.7275C3.14264 21.9557 4.69934 22.34 6.46229 22.4244C8.27925 22.5229 13.7252 22.5229 15.5422 22.4244C17.3052 22.3447 18.8668 21.9604 20.1534 20.7275C21.44 19.4994 21.8427 18.0088 21.9311 16.326C22.0342 14.5916 22.0342 9.39785 21.9311 7.66348ZM19.5837 18.1869C19.2007 19.1057 18.4592 19.8135 17.4918 20.1838C16.0431 20.7322 12.6056 20.6057 11.0047 20.6057C9.40381 20.6057 5.96139 20.7275 4.51764 20.1838C3.55514 19.8182 2.81362 19.1104 2.42567 18.1869C1.85112 16.8041 1.98371 13.5229 1.98371 11.9947C1.98371 10.4666 1.85603 7.18066 2.42567 5.80254C2.80871 4.88379 3.55023 4.17598 4.51764 3.80566C5.9663 3.25723 9.40381 3.38379 11.0047 3.38379C12.6056 3.38379 16.048 3.26191 17.4918 3.80566C18.4543 4.17129 19.1958 4.8791 19.5837 5.80254C20.1583 7.18535 20.0257 10.4666 20.0257 11.9947C20.0257 13.5229 20.1583 16.8088 19.5837 18.1869Z"
                            fill="#0054A6"
                          />
                        </g>
                        <defs>
                          <clipPath id="clip0">
                            <rect width="22" height="24" fill="white" />
                          </clipPath>
                        </defs>
                      </svg>
                    </a>

                    <a href="#!">
                      <svg
                        width="24"
                        height="24"
                        viewBox="0 0 24 24"
                        fill="none"
                        xmlns="http://www.w3.org/2000/svg"
                      >
                        <path
                          d="M24 12C24 18.4219 18.629 23.625 12 23.625C10.7613 23.625 9.57097 23.4422 8.44839 23.1047C8.9371 22.3312 9.66774 21.0656 9.93871 20.0578C10.0839 19.5141 10.6839 17.2922 10.6839 17.2922C11.0758 18.0141 12.2177 18.6281 13.4323 18.6281C17.0516 18.6281 19.6597 15.4031 19.6597 11.3953C19.6597 7.55625 16.4226 4.68281 12.2613 4.68281C7.08387 4.68281 4.33065 8.04844 4.33065 11.7188C4.33065 13.425 5.26935 15.5484 6.76452 16.2234C6.99194 16.3266 7.1129 16.2797 7.16613 16.0687C7.20484 15.9094 7.40806 15.1172 7.5 14.7516C7.52903 14.6344 7.51452 14.5312 7.41774 14.4188C6.92903 13.8328 6.53226 12.7641 6.53226 11.7656C6.53226 9.20156 8.53548 6.72187 11.9516 6.72187C14.8984 6.72187 16.9645 8.66719 16.9645 11.4516C16.9645 14.5969 15.3242 16.7766 13.1903 16.7766C12.0145 16.7766 11.129 15.8344 11.4145 14.6766C11.7532 13.2938 12.4065 11.8031 12.4065 10.8047C12.4065 9.91406 11.9129 9.16875 10.8871 9.16875C9.68226 9.16875 8.71452 10.3734 8.71452 11.9906C8.71452 13.0219 9.07258 13.7156 9.07258 13.7156C9.07258 13.7156 7.8871 18.5812 7.66935 19.4906C7.42742 20.4937 7.52419 21.9094 7.62581 22.8281C3.16452 21.1359 0 16.9266 0 12C0 5.57812 5.37097 0.375 12 0.375C18.629 0.375 24 5.57812 24 12Z"
                          fill="#0054A6"
                        />
                      </svg>
                    </a>
                  </div>
                </div>

                <div className="bottom__post__desc">
                  <div className="media">
                    <img
                      className="align-self-center mr-3"
                      src="/images/blog__post---slideImg.jpg"
                      alt="Generic placeholder image"
                    />
                    <div className="media-body">
                      <h5 className="mt-0">Mr. john smith</h5>
                    </div>
                  </div>
                  <p>
                    Lorem ipsum dolor sit amet consectetur adipiscing elit
                    sagittis tempor integer natoque arcu, suspendisse
                    ullamcorper urna curae commodo cursus ad dui euismod
                    ridiculus felis.
                  </p>
                </div>
              </div>
            </div>
          </Slider>
          <div className="arrow__btn--parts">
            <button className="button prev__btn" onClick={this.previous}>
              <svg
                width="36"
                height="8"
                viewBox="0 0 36 8"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
              >
                <path
                  d="M9.45362 5.27583L35.6797 5.27583V3.53264L9.45362 3.53264V0.917844L0.740707 4.40423L9.45362 7.89062V5.27583Z"
                  fill="#0054A6"
                />
              </svg>{" "}
              Prev Post
            </button>
            <button className="button next__btn" onClick={this.next}>
              Next Post{" "}
              <svg
                width="36"
                height="8"
                viewBox="0 0 36 8"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
              >
                <path
                  d="M26.6187 3.53276H0.392578V5.27596H26.6187V7.89075L35.3316 4.40436L26.6187 0.917969V3.53276Z"
                  fill="#0054A6"
                />
              </svg>
            </button>
          </div>
        </div>
      </div>
    );
  }
}

export default UserPostSlider;
